Get Automation Details
curl --request POST \
--url https://cloudapi.mailercloud.com/v1/automations/{id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"node_type": "<string>"
}
'import requests
url = "https://cloudapi.mailercloud.com/v1/automations/{id}"
payload = { "node_type": "<string>" }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({node_type: '<string>'})
};
fetch('https://cloudapi.mailercloud.com/v1/automations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://cloudapi.mailercloud.com/v1/automations/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'node_type' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://cloudapi.mailercloud.com/v1/automations/{id}"
payload := strings.NewReader("{\n \"node_type\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"automation": {
"automation_id": "EZZ",
"automation_name": "Draft",
"created_date": "2025-01-23 18:31:10",
"updated_date": "2025-01-24 09:59:50",
"start_time": "",
"finish_time": "",
"timezone": "",
"status": "Draft",
"total_contacts": 0,
"total_triggers": 1,
"total_nodes": 1,
"skipped_contacts": 0,
"completed_contacts": 0,
"campaigns": [
{
"blacklisted_domains": {},
"broken_links": {},
"conversion_tracking": {
"name": "ew p",
"type": "Iframe"
},
"created_date": "2025-01-24 09:59:47",
"email_preheader": "",
"id": "HZy",
"modified_date": "2025-01-24 09:59:47",
"name": "Html - 1",
"permission_reminder": "",
"reply_email": "test@regalwork.com",
"report_abuse": false,
"report_summary": {
"abuse": 0,
"abuse_percentage": "0.00",
"clicks": 0,
"clicks_percentage": "0.00",
"conversions": 0,
"conversions_percentage": "0.00",
"delivered": 0,
"delivered_percentage": "0.00",
"hard_bounce": 0,
"hard_bounce_percentage": "0.00",
"open_percentage": "0.00",
"opens": 0,
"queue": 0,
"queue_percentage": "0.00",
"queued_total": 0,
"sent": 0,
"sent_percentage": "0.00",
"soft_bounce": 0,
"soft_bounce_percentage": "0.00",
"spam_complaints_count": 0,
"spam_complaints_percentage": "0.00",
"unsubscribe": 0,
"unsubscribe_percentage": "0.00"
},
"sender": {
"sender_email": "test@regalwork.com",
"sender_name": "Html - 1"
},
"status": "Draft",
"subject": "Html - 1",
"tag": "Improvements"
}
],
"triggers": [
{
"activity": "Contact Activity",
"activity_id": "uSK",
"description": "Contact joins to a particular list",
"filters": {
"group_joiner": "OR",
"groups": []
},
"included_import": true,
"list_id": "Ewy",
"list_name": "List Deletion - 1"
}
],
"steps": [
{
"active_contacts": 0,
"campaign_details": {
"created_date": "2025-01-24 09:59:47",
"email_preheader": "",
"id": "HZy",
"modified_date": "2025-01-24 09:59:47",
"name": "Html - 1",
"reply_email": "test@regalwork.com",
"report_summary": {
"abuse": 0,
"abuse_percentage": "0.00",
"clicks": 0,
"clicks_percentage": "0.00",
"conversions": 0,
"conversions_percentage": "0.00",
"delivered": 0,
"delivered_percentage": "0.00",
"hard_bounce": 0,
"hard_bounce_percentage": "0.00",
"open_percentage": "0.00",
"opens": 0,
"queue": 0,
"queue_percentage": "0.00",
"queued_total": 0,
"sent": 0,
"sent_percentage": "0.00",
"soft_bounce": 0,
"soft_bounce_percentage": "0.00",
"spam_complaints_count": 0,
"spam_complaints_percentage": "0.00",
"unsubscribe": 0,
"unsubscribe_percentage": "0.00"
},
"sender": {
"sender_email": "test@regalwork.com",
"sender_name": "Html - 1"
},
"status": "Draft",
"subject": "Html - 1",
"tag": "Improvements"
},
"completed_contacts": 0,
"name": "Send Email",
"skipped_contacts": 0,
"step_id": "uSS",
"type": "email"
}
]
}
}{
"errors": [
{
"field": "node_type",
"message": "invalid value"
}
]
}{
"errors": [
{
"field": "",
"message": "Authorization failed"
}
]
}Get Automation Details
Retrieve details and node-level campaign report data for an advanced automation by its ID. The request body filters which node types are included.
POST
/
automations
/
{id}
Get Automation Details
Authorizations
Your Mailercloud API key (plain text, no Bearer prefix). Create keys in Settings → API.
Path Parameters
Body
application/json
Filter nodes by type
Types: "delay","wait_for_trigger","if/else","split","goto","email","list","contact_update","tag_actions"
Response
OK
Show child attributes
Show child attributes
⌘I